# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bot/Backbone/Service.pm) perl(Bot/Backbone/Service/Role/Responder.pm) perl(Bot/Backbone/Service/Role/Service.pm) perl(Class/Load.pm) perl(ExtUtils/MakeMaker.pm) perl(List/MoreUtils.pm) perl(Moose/Role.pm) perl(Moose/Util/TypeConstraints.pm) perl(Pod/Coverage/TrustPod.pm) perl(Scalar/Util.pm) perl(String/Errf.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Try/Tiny.pm)
# END SourceDeps(oneline)
%define module_version 0.160490
%define module_name Bot-Backbone-Service-Ticket
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.160490
Release: alt1
Summary: Bots that lookup ticket numbers
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HA/HANENKAMP/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module is the main reason most (maybe all, actually) of my work bots began their existence: to spew out the title and link to a ticket in the ticket/issue/case tracker application used by the company. When a ticket gets mentioned, the bot looks up the ticket, grabs the title and shares it with a link to the ticket with the group. That way it's easy for someone to say, "while working on #123, I ran into X problem" and everyone can be clued into the context without having to remember the ticket numbers, but the original poster can still be precise and let others look into the ticket details easily.

To use this module, you must install one of the ticket tracking systems or build your own. As of this writing, the following trackers are implemented:

=over

=item *

JIRA. Install the Bot::Backbone::Service::Ticket::Tracker::JIRA manpage

=item *

FogBugz. Install the Bot::Backbone::Service::Ticket::Tracker::FogBugz manpage

=back

To build your own, see the Bot::Backbone::Service::Ticket::Tracker manpage. It is pretty simple.

Multiple ticket trackers can be defined in a single service configuration for simplicity. This is useful as most organizations have more than one or transition from one to another from time to time.
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE
%perl_vendor_privlib/B*

%changelog
* Mon Jul 25 2016 Igor Vlasenko <viy@altlinux.ru> 0.160490-alt1
- initial import by package builder

